| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IDescriptionHost Class Referenceabstract

`#include <AAX_IDescriptionHost.h>`

Inheritance diagram for AAX_IDescriptionHost:
[legend]

## Description

Interface to host services provided during plug-in description

## Public Member Functions
virtual | ~AAX_IDescriptionHost ()
virtual const AAX_IFeatureInfo * | AcquireFeatureProperties (const AAX_Feature_UID &inFeatureID) const =0

## Constructor & Destructor Documentation

## ◆ ~AAX_IDescriptionHost()

virtual AAX_IDescriptionHost::~AAX_IDescriptionHost | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ AcquireFeatureProperties()

virtual const AAX_IFeatureInfo * AAX_IDescriptionHost::AcquireFeatureProperties | ( | const AAX_Feature_UID & | inFeatureID | ) | const
| pure virtual

Get the client's feature object for a given feature ID

Similar to `QueryInterface()` but uses a feature identifier rather than a true IID

Ownership of the returned object is passed to the caller; the caller is responsible for destroying the object, e.g. by capturing the returned object in a smart pointer.

// AAX_IDescriptionHost* descHost
std::unique_ptr<const AAX_IFeatureInfo> featureInfoPtr(descHost->AcquireFeatureProperties(someFeatureUID);

Returns
  An AAX_IFeatureInfo interface with access to the host's feature properties for this feature.
  `NULL` if the desired feature was not found or if an error occurred

Note
  May return an AAX_IFeatureInfo object with limited method support, which would return an error such as AAX_ERROR_NULL_OBJECT or AAX_ERROR_UNIMPLEMENTED to interface calls.
  If no AAX_IFeatureInfo is provided then that may mean that the host is unaware of the feature, or it may mean that the host is aware of the feature but has not implemented the AAX feature support interface for this feature yet.

Parameters

  [in] | inFeatureID | Identifier of the requested feature

Implemented in AAX_VDescriptionHost.

The documentation for this class was generated from the following file:

- AAX_IDescriptionHost.h